2003-12-03  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * nameref 2.21
        * \ref and \pageref are defined at any case, if hyperref
          is not loaded.

2003-11-30  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.74m
        * \textcolor disabled in bookmarks.

2003-11-15  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.74l
        * Typo fixed by Werner Lemberg: s/CJK@punktcharx/CJK@punctcharx/

2003-10-30  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * nameref 2.10: titlesec support added.

2003-10-12  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.74k
        * Fix for more than one footnote in longtable's
          columns of type "p".

2003-10-06  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.74j
        * Bug fix: automatic link type detection failed for
          url field in references (eg. imported labels by xr-hyper).

2003-09-15  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.74i
        * Bug fix (\if-commands after \ifx of 6.74h's "fleqn" detection).

2003-07-27  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.74h
        * The lost source for the manual is rewritten by Steve Peter
          and updated by Karl Berry.
        * Bug fix of 6.74f does not work for amsmath's option "fleqn",
          the \label does not detect the equation number, therefore
          the fix is disabled, if "fleqn" is detected.

2003-07-22  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.74g
        * Bug fixed in pdfmark.def: definition of \strip@pt@and@otherjunk
          moved before \endinput by implicit=false.

2003-07-10  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.74f
        * Fix for wrong vertical spacing between amsmath's
          equation environments (Dmitri Chubarov <chubarik@gorodok.net>).

2003-06-01  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.74e
        * README: Hint for hypcap added.
        * pdfmark.def: "cvn" added for named GoToR destination
          (Reinhard Jahraus).

2003-05-12  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.74d
        * An empty dictionary /ViewerPreferences is now suppressed.

2003-05-12  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.74c
        * \@addtoreset: \edef replaced by \xdef.

2003-04-28  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.74b
        * Patch for float.sty compatibility (Anselm Lingnau/Marco Kuhlmann).
        * Tried better anchor setting for floats that are controlled
          by float.sty. Several captions inside one float are not supported.

2003-04-27  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.74a
        * \newcounter{foo}[bar]: using \theHbar, if available.

2003-04-14  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73z
        * New option "pdfdisplaydoctitle" (PDF 1.4).
        * New option "pdfnonfullscreenpagemode".

2003-03-31  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73y
        * Also the KOMA-Script classes redefine \LT@array, therefore
          longtable fix extended.

2003-03-25  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73x
        * Behaviour of warning "bookmark level for unknown ..." changed:
          * The missing \toclevel@... command is globally defined
            to avoid further warnings.
          * If this entry is not used for the bookmarks, the
            warning is changed into a \PackageInfo.
        * Language support for Afrikaans added.

2003-03-21  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73w
        * Errors corrected in documentation part.

2003-03-21  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73v
        * \hyperpage now ignores spaces and empty arguments.

2003-03-21  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73u
        * Option "encap", other encap character for use with hyperindex
          can be given.

2003-03-20  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73t
        * hyperref now uses the same method for language support as
          backref 1.23.
        * Change from \captions<lang> to \extras<lang>.
        * backref 1.23
          Babel support for language strings added
          (suggestion of Danie Els).

2003-03-20  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73s
        * Default for \itemautorefname added.
        * backref 1.22
          Bug fixes and additions of Danie Els <dnjels@sun.ac.za>:
          * Typo fixed in \backreflastsep.
          * Package natbib support, if hyperref is not loaded.
          * Language Afrikaans added.
        * hyperref.ins:
          hyperref.drv and hycheck.tex are put outside the scope
          of \usedir.

2003-03-19  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73r
        * \hyper@link@: \@safe@activestrue used for internal name
        * backref 1.21:
          * Continued with inserting of \@safe@activestrue.
          * \backrefxxxdupe added for comparision and detection
            of dupes.
          * \backrefalt added with more powerful interface with macros
            \backrefsep, \backreftwosep, and \backreflastsep.
          * Language options added.
          * More documentation.

2003-03-18  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73q
        * Suppressing /URI entry if \@baseurl is empty (hpdftex, hdvipsone).
        * /URI moved to Cataloge (hdvipsone).
        * Some locations of "file:" replaced by \Hy@linkfileprefix.

2003-03-18  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73p
        * Patch for longtable added (problem reported by Thomas Beuthe).

2003-02-11  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73o
        * Support for babel's shorthands in \autoref fixed.
        * Support for \autoref in bookmarks added.
        * Option final added similar to graphics.sty, article.cls, ...
        * \hyperref[#1] does now use babel's \@safe@activestrue.

2003-01-22  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73n
        * Unsafe key value pair: Action=<<...#2...#3...>>
          replaced by: Action={<<...#2...#3...>>}
          because it breaks, if #2 or #3 contain a comma.

2003-01-22  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73m
        * Support for \@makecaption of class IEEEtran with
          three arguments removed, because version V1.6b uses
          the standard LaTeX interface with two arguments.

2003-01-20  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73l
        * Footnote fix: Initialization of \Hy@footnote@currentHref
          added (Thorsten Schwander <schwander@horse.lanl.gov>).

2003-01-17  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73k
        * Footnote fix: \label commands inside \footnote do
          not need nameref support (\@currentlabelname).

2003-01-17  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73j
        * Fix for footnote code: a \label after \footnote
          commands refers to the previous section or similar
          and not to the footnote.

2002-12-15  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73i
        * \texteuro fixed for PU encoding,
          Maksym Polyakov <polyama@myrealbox.com>.

2002-12-10  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73h
        * Bugreport of Michael W Daniels <daniels@ling.ohio-state.edu>:
          height in \TextField is not respected, if multiline is set.
          * Fixed by moving the height setting code in the default
            section.
          * Also "4\DefaultHeightofText" replaced by a more robust
            construct.

2002-12-05  Heiko Oberdiek <oberdiek@uni-freiburg.de>
	* 6.73g
        * \edef instead of \def for comparison with value of option
          bookmarkstype (in \@@writetorep), the following should
          work: bookmarkstype=lof

2002-12-03  Heiko Oberdiek <oberdiek@uni-freiburg.de>
	* 6.73f
        * Option "setpagesize" added also for VTeX's \mediawidth/height.
        * VTeX: \mediawidth/height is only set with positive dimen values.

2002-11-29  Heiko Oberdiek <oberdiek@uni-freiburg.de>
	* 6.73e
        * Option "setpagesize" added.

2002-11-14  Heiko Oberdiek <oberdiek@uni-freiburg.de>
	* 6.73d
	* Support for \@addtoreset added, similar to
          \numberwithin (idea of Markus Kohm in
          de.comp.text.tex).

2002-11-07  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73c
        * Added "hyperpage" also after "closing range"
          (\index{...|)hyperpage}), because it is allowed
          for makeindex and necessary for XIndy.

2002-11-01  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73b
        * \Hy@raisedlink for caption without option nesting.
        * Support for \@makecaption of class IEEEtran that
          uses three arguments.

2002-10-24  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.73a
        * vtexpdfmark: pdfborder={0 0 1} (Walter Schmidt).

2002-10-22  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72z
        * A small remainder of option 4 removed.
        * options.tex: option pdfpagelabels added,
                       option 4 removed.

2002-09-12  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72y
        * Addition to \hyper@normalise: \_, \textunderscore,
          \textasciitilde.

2002-09-04  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72x
        * \ReadBookmarks is disabled if bookmarks=false is given.
        * \Hy@raisedlink introduced into \hyper@natanchorstart
          (Thanks to Macro Kuhlmann <mk@mcqm.net>).

2002-08-24  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72w
        * "\let\pdfoutput\@undefined" removed.
        * Bug fix: option bookmarksnumbered is now respected,
          if package slidesec is used.

2002-08-04  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72v
        * Koma classes: optional argument for \maketitle.

2002-08-03  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72u
        * \appendix: \Hy@org@appendix moved to the end
          and renamed to \HyOrg@appendix.

2002-07-25  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72t
        * Support for footnotes in p-columns of longtables.

2002-06-06  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72s
        * \Hy@defaultdriver used, so that "hypertex" can
          be redefined in hyperref.cfg (eg. "dvips").

2002-06-05  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * backref 1.20
        * Babel's \@safe@activestrue inserted to bibitem commands.
          But problems with \cite remains (frenchb.ldf).

2002-05-27  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72r
        * Problem with varioref's \vref@pagenum fixed
          (Thanks to Felix Neubauer <felix.neubauer@gmx.net>).

2002-05-10  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72q
        * Some spaces in PDF output of driver pdftex removed.

2002-05-09  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72p
        * Option `pdfusetitle' now correctly disabled.

2002-04-20  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72o
        * Bug fix of 6.72n is wrong:
          Octal escape sequences (\000) are not detected by the method
          with \meaning. Now another method, based on \dospecials, is
          used to protect active characters while reading the .out file.

2002-04-19  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72n
        * Bug fixed in \ReadBookmarks of driver vtex:
          the text arguments in the .out file are
          now protected.

2002-04-15  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72m
        * Adaption to subfigure 2002/03/26 v2.1.2. It uses
          \AtBeginDocument{...\newcommand{\toclevel@subfigure}...}.

2002-04-12  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72l
        * Fix from Werner Lemberg <wl@gnu.org> for
          bookmarks with Big5 encoded strings,
          preprocessed by package cjk.

2002-04-09  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72k
        * \protected@edef instead of \edef in \hyper@link@.

2002-03-27  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72j
        * Tried to fix the problem that links to
          bibliography points to baseline if pdfTeX is
          used by inserting \Hy@raisedlink.
        * \Hy@raisedlink disabled for pdfmark drivers,
          because they use a PostScript method.

2002-03-15  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72i
        * \toclevel@subfigure and \toclevel@subtable fixed.

2002-03-15  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72h
        * New structure on tug server.
        * Makefile: target "distrib" removed.
        * Textures update by Ross Moore <ross@maths.mq.edu.au>.

2002-03-14  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72g
        * Added fix for subfigure 2002/02/14 v2.1.
          Loading order: nameref, subfigure, hyperref.

2002-03-08  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72f
        * dvipdfm: pdfstartpage and pdfstartview fixed
          (Akira Kakuto <kakuto@fuk.kindai.ac.jp>).

2002-02-16  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72e
        * \pdfstringdef: \cyr disabled for russian.ldf
        * \pdfstringdef: shorthands for macedonian.ldf
        * VTeX 7.54: pdfnewwindow supported in \hyper@linkfile.

2002-01-14  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72d
        * Bug fix: \Hy@title, \Hy@author.

2002-01-08  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72c
        * pdfmark.def: /URI moved from /DOCVIEW to {Catalog}.
        * pdfmark.def: Unused \@dobaseurl removed.

2002-01-07  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72b
        * Support of \stockwidth and \stockheight (memoir class).

2002-01-06  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.72a
        * Annotation's additinal-actions dictionary for form fields:
          Supported: keystroke (/K), validate (/V), format (/F)
          and now added: onfocus (/Fo), onblur (/Bl),
          onmousedown (/D), onmouseup (/U),
          onenter (/E), onexit(/X)
        * Additional-actions dictionary added in \PDFForm@List and
          \PDFForm@Radio.
        * \PDFForm@Text: "/Ff 1" added, if only \ifFld@readonly is set.

2001-12-23  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71z
        * Some \providecommand replaced by \providecommand*.
        * Babel's \@number of file lrbabel.def inserts
          unexpandable tokens into the expansion of \arabic.
          At some places dummy for \@number inserted, where
          anchor and link names are expanded.

2001-12-21  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71y
        * Support for chapterbib added, provided by
          Julian Gilbey <J.D.Gilbey@qmul.ac.uk>.

2001-12-06  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71x
        * Added fix by Denis Girou for pst-key.tex (1998,
          derived from old keyval.dtx). Any initial brace group
          in the value field is removed.

2001-11-14  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71w
        * Added suggestion of Didier Verna <didier@lrde.epita.fr>:
          The fix for multind is also applied for package index.

2001-11-12  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71v
        * The feature of 6.71r with automatic detection of
          title and author can be enabled by option
          pdfusetitle. The default is disabled.
        * If pdfusetitle is enabled, an optional argument
          is detected for \title and \author (amsart class).

2001-11-05  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71u
        * \literalps@out for dviwindo (D.P. Story).

2001-11-04  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71t
        * The patch for harvard is delayed by \AtBeginDocument
          to solve a problem with the package load order, if
          html.sty is present (Command \harvarditem already
          defined).
        * The fix for the Adobe bug introduced in 6.71n
          is changed completely, because Adobe's suggestion
          generates an extra empty page at the end.
          (\literalps@out for dviwindo is currently only a dummy.)

2001-10-30  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71s
        * If "\\" or "\newline" are used in \title or
          \author and reused for the pdf information
          entries, then they are replaced by a space
          or a comma and space, see hyperref.dtx.

2001-10-11  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71r
        * Detection of \author and \title added for
          defaults of pdf information entries.

2001-09-20  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71q
        * Fix for Adobe bug of 6.71n:
          * VTeX in PS mode with GeX: \immediate\special{!=...}

2001-09-18  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71p
        * Fix for Adobe bug of 6.71n improved:
          * Support for dviwindo added (D.P. Story).
          * Check for product added (product is level 2).

2001-09-18  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71o
        * Warning, if \hypercalcbp is used without
          package calc or e-TeX.
        * Use of \hypercalcbp removed to avoid the above warning.
        * \usepackage{calc} added in testams.tex.

2001-09-18  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71n
        * If package tex4ht is loaded, option tex4ht
          is added to hyperref's option list
          (Eitan Gurari <gurari@cis.ohio-state.edu>).
        * Bug fix added for Adobe Distiller 5
          (Adobe bug number 466320, thanks to
          D.P. Story and M. Vulis).
        * testams.tex fixed.

2001-08-19  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71m
        * VTeX's \OpMode=3 is accepted the same way as 1 and 2.

2001-08-19  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71l
        * OS part in VTeX's /Producer default corrected.

2001-08-19  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71k
        * Default of /Producer string:
          * updated for pdfTeX >= 1.00a,
          * pdfeTeX detection added,
          * \VTeXOS added for VTeX >= 7.45.

2001-08-16  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71j
        * Translation of \autoref names to brazil/portuges by
          Willie Dresler Leiva <dreslerleiva@hotmail.com>.
        * test/test0.dvi removed.
        * test/test7.tex: \usepackage{times} to get smaller test7.pdf.
        * Makefile: targets clean and distrib updated, $(RM) introduced.

2001-08-10  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71i
        * Compatibility problem with xypic, introduced by
          version 6.71g, fixed.

2001-07-03  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * Two small fixes of Makefile, provided by
          Martin Maechler <maechler@stat.math.ethz.ch>.

2001-06-18  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71h
        * Option pdfpagemode with empty argument sets
          default behaviour (an alternative would be "UseNone")
          in order to avoid the wrong name "/".
2001-05-26  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71g
        * Contributions by Ross Moore <ross@ics.mq.edu.au> and
          Daniel Steffen:
          a. patch to  htexture.def  that adjusts the PDF@SetupDoc
             so that it includes the setup information from  pdfmark.def
             as well as the tokens needed by Textures itself.
          b. changes to the \AtBeginDocument usage to implement
             compatibility with the  ldump.sty  package.
        * Bug fix in multind support (forgotten backslash).
        * Fix for driver pdftex: \pdfpagewidth and \pdfpageheight
          are not set, if \paperwidth or \paperheight are zero,
          because it is likely that the settings of pdftex.cfg
          are better than the heuristics of pdfTeX, if the dimen
          lengths are zero.

2001-04-13  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71f
        * Feature request of Jens-Uwe Morawski <morawski@gmx.net>:
          \thispdfpagelabel introduced.

2001-04-05  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71e
        * \@begindvi changed:
          * \Hy@begindvi for hyperref stuff in \@begindvi introduced,
          * small bug fix (first page with options
            pdfpagelabels + pageanchor=false).

2001-04-05  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71d
        * Fix for \@@Radio in hdvipdfm.def for AR5, provided
          by D. P. Story <story@uakron.edu>.
        * Spell error corrected (\Hy@captionsspanish).
        * The fix of 6.71b for VTeX paper size was introduced
          to solve problem with prosper, but because of new problem
          with pdfscreen, the fix is redone.

2001-02-20  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71c
        * Bug fix, introduced in 6.71b.

2001-02-20  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71b
        * Fixes by Markus Kohm:
          * Applying the \@addchap hack for scrreprt.
          * Disabling the \@addchap hack for komascript
            versions since 2001/01/01, because these
            versions contain hyperref support.
          * The \@ssect, \@schapter, ... hacks are also applied
            to driver hypertex.
        * Fixes by Alex (VTeX):
          * Correction of paper size setting.
          * /Replace transition supported.

2001-01-27  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * nameref 2.19:
          option final of showkeys now detected.

2000-11-05  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.71a
        * Two errorneous garbage lines removed, they cause
          an infinite loop with \autoref{<equation|footnote>}.

2000-10-04  Sebastian Rathz <sebastian.rahtz@oucs.ox.ac.uk>
        * 6.71 CTAN release

2000-09-29  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70y
        * Check of empty /Dest and /DestAnchor values
          improved (\pdfmark).

2000-09-22  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70x
        * Next typo fixed (option american).

2000-09-22  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70w
        * \DeclareRobustCommand: \href, \url, \hyperimage,
                                 \hyperref
        * Typo fixed (option american).

2000-09-07  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70v
        * Fix for option CJKbookmarks.

2000-09-06  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70u
        * Fix of \pdf@rect and \@hyperfixhead for seminar
        * Default for \special@paper with values for
          packages typearea or geometry.
        * Fix for seminar: true values for \pdf{h,v}origin
          and \pdfpage{width,height} (Thanks to
          Stephan Lehmke).
        * File `test/seminar.con' replaced by environment
          `filecontents' in file `testslide.tex'.

2000-09-05  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70t
        * Fixes for packages listings and listing.
        * Some \setbox...=\hbox replaced by color safer
          constructs.
        * Patch for bookmarks with package cjk, enabled
          with option `CJKbookmarks'.

2000-08-31  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70s
        * URLs, broken by bibTeX, work now:
            \url{%
              http://www.%
              dante.de/%
            }
          ("%^^M" are detected and removed, thanks
          Stefan Ulrich <ulrich@cis.uni-muenchen.de>
          for his suggestion.)
        * Checks added to hycheck.tex
        * \caption checks whether \@captype is defined.

2000-08-30  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70r
        * Shorter PostScript names (/H.X) for drivers of dvips type.
        * Bug fix (hvpdfmark.def): /pdf@voff
        * New test file `hycheck.tex'.
        * Bug fix: latex/2318 fix added to \@caption.
        * Bug fix: \numberwithin

2000-07-30  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70q
        * VTeX: further fixes.

2000-07-17  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70p
        * \test@reftype fixed (used for \autoref).
        * autorefnames: german fixed, spanish added.
        * VTeX: additions and fixes from Alex Kostin.

2000-07-04  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70o
        * Test files testbm{oe,sc,zc,yi,l}.tex merged to testbma.tex.
        * Added correct \@hyper@launch for hvtex.def (Alex Kostin).

2000-07-03  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70n
        * Default for \Hy@pageheight changed from A4 to
          setting via \hypercalcbp and \paperheight.

2000-07-02  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70m
        * Feature added: \hypercalcbp (see hyperref.dtx).

2000-07-02  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70l
        * Bugfix in onopen of 6.70k undoned. It will
          be fixed in VTeX itself.

2000-07-01  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70k
        * Own section for vtexpdfmark driver and
          PostScript code fixed.
        * Bug in hvtex.def fixed: missing space in onopen special.

2000-07-01  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70j
        * hyperref.ins for vtexpdfmark corrected.

2000-07-01  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70i
        * Start of new VTeX driver that support pdfmark specials.
          Option `vtexpdfmark', file `vtexmrk.def'
          (contributed by Michael Vulis).
        * hyperref.ins: hvtexmrk.def added.

2000-06-30  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70h
        * nohyperref: \hyperpage disabled.
        * Defaults for \autoref's names only define \...autorefname.
        * Problem with \hyper@hash fixed.
        * \nolinkurl added (variant of \url, that does not make
           a link, eg. for use in the second argument of \href).
        * Problem fixed, that warning ``Label(s) may have changed.''
          always appears with `babel' and `\bibcite'.
        * Update of htextures.def by Ross Moore <ross@ics.mq.edu.au>:
          * the blue rectangles no longer appear with `colorlinks',
          * pdfmark support,
          * the built-in support for hypertex specials is
            utilised.
        * Update of hvtex.def by Michael Vulis
          <support@micropress-inc.com>:
          * Bug in \Acrobatmenu fixed.
          * Transition effects added (written by Alex Kostin).
        * pdfmark.def: Character slash `/' now works
          in destination names (eg: "cite.OMG:formal/98-12-01").

2000-05-08  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70g
        * \autoref names: To solve the uppercase problem,
          first the names \...autorefname are used in \autoref.
          Language options added for english and german languages.

2000-05-08  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70f, nameref: 2.18
        * Anchor of foonotes raised.
        * showkey support (nameref.dtx: \label, \ref, \pageref, \nameref,
          not checked and tested is \cite).
        * \@xfootnotetext calls \H@@mpfootnotetext, if called in minipage.
        * Bug \href{foo.pdf#bar} fixed, introduced in 6.70c.
        * Bug harvard/backref fixed ({\thepage}{\current@label}).

2000-04-12  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70e
        * Empty reference causes crash of distiller, therefore
          empty references replaced by UNDEFINED
          (pdftex, pdfmark, dvips, vtex, dvipdfm).

2000-04-11  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70d
        * hvtexhtm detected as default driver.
        * Bug fix (undefined \pageref within \ifthenelse).

2000-03-31  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70c
        * \hyper@normalise: %, \%, #, \# expands to catcode `other'
          characters, \url{http://foo.bar/%2e_~#hash} should work.
        * \pdfBorderAttrs removed and replaced by
          "/Border [\@pdfborder]".
          If option colorlinks is set, the border is set to zero
          immediately, not \AtBeginDocument (for people who
          want to have both borders and colored links).

2000-03-31  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70b
        * Definition of \x remains unchanged (bug introduced in 6.67g).
        * Packages titlesec and titletoc support by Javier Bezos
          <jbezos@arrakis.es>.
        * \MP added (\pdfbookmarkstring, htex4ht.cfg).
        * All files of hyperref.dtx now identify themselves
          by \Provides{File,Package}.
        * Start with nohyperref.sty (SR), toc-level addtions by HO.
        * Updated: testbm{gl,u}.tex

2000-03-23  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.70a
        * New option: pdfpageduration for the /Dur key
          in the pdf page object, the value is empty or
          contains the length in seconds (real).
          Supported drivers: pdftex, pdfmark.
        * New option: pdfpagehidden for the /Hid key
          in the pdf page object, the value is a boolean.
          Supported drivers: pdftex, pdfmark.

2000-03-22  Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>
        * 6.70 CTAN release (TeX Live 5)

2000-03-22  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.69f
        * \@ifundefined{thechapter} changed to \@ifundefined{chapter}
          because of compatibility with french.sty.
        * xr-hyper.sty: \xdef changed to \protected@xdef
          (Stephan Lehmke <Stephan.Lehmke@cs.uni-dortmund.de>).
        * hvtex.def: default for pdfview changed to xyz.

2000-03-07  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.69e
        * Fix for babel/3174 (\@save@activestrue in \hyper@normalise).

2000-03-02  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.69d
        * Fix for \texttilde with babel's spanish, estonian, galician
        * Expandable versions without link of \ref and \pageref:
          \hypergetref and \hypergetpageref.
        * \ifthenelse: \ref and \pageref use the \hyperget... variants.
        * \hyper@chars added in \hyper@anchor of drivers
          hypertex, vtexhtml, and vtex.
        * Forms: checkboxsymbol introduced (Michael Wiedmann
          <michael.wiedmann@detewe.de>).
        * Redefinitions in \appendix are made globally
          (Tim J Harding <Tim.Harding@quadstone.com>).
        * If \chapter is undefined, it remains now undefined.

2000-01-22  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.69c
        * D. P. Story <story@uakron.edu> has adapted forms
          part of pdfTeX to dvipdfm.

2000-01-21  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.69b
        * \@writetorep: destination and level check added.
        * \addcontentsline: \phantomsection added, if no destination.

2000-01-19  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.69a
        * Bug fixed: tabularx+\maketitle+\footnote.
        * LPPL 1.2, manifest.txt updated.

2000-01-18  Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>
        * 6.69 CTAN release
        * Missing test files added.

2000-01-17  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.68a
        * pdfpagescrop works now with dvipdfm (D. P. Story
          <story@uakron.edu>).

2000-01-13  Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>
        * 6.68 CTAN release

2000-01-11  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.67h
        * pdfpagemode: /None corrected to /UseNone.
        * \pdfstringdef: \halign disabled (because of errors by #).
        * Option draft: bookmarks are disabled (thanks to Michael Vulis).
        * Outdated bookmark documentation removed.
        * hvtex.def: \media{width,height} supported.
        * Space after \@pdfhighlight inserted (hpdftex.def).
        * Bug fixed in redefinition of \@chapter.
        * Small bug fixed in \Hy@boolkey.

1999-12-01  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.67g
	* test/phys332-{1,2}.jpg renamed to test/phys{1,2}.jpg
        * Improved \catcode check and settings at the beginning
          of hyperref.sty.
        * [#1]-Bug fixed by [{#1}] in the definition of \htmlref
          and \@newctr and in many uses of \pdfmark.

1999-11-24  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.67f
        * Test files checked by Sebastian Rahtz.
        * Unwanted spaces removed (dviwindo, outline).
        * Redone: \def\texorpdfstring to \newcommand*
        * Other implementation of \HyPSD@tocsection by Michael Downes.
        * ps2pdf: Default for pdfborder: 0 0 1
        * \belowpdfbookmark added (setting bookmark below current
          level without changing it).
        * \@ChoiceMenu: coiled "{\if}\fi" cleared to "{\if\fi}".
        * Fix for \citeN and \shortciteN of package chicago.

1999-11-09  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.67e
        * Detection of VTeX PS mode (OpMode=2).
        * Added \tocsection fix for AMS classes
          (thanks to Michael Downes/Tom Kacvinsky).
        * Changed \newcommand*{\texorpdfstring} to \def\texorpdfstring
          (a wish of Tom Kacvinsky).
        * INSTALLDIRVAR added to makefile (default: TEXMFMAIN).

1999-11-09  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.67d
        * Unwanted space removed in \hyper@linkstart (hvtex.def).
        * <hvtex,hvtexhtml> renamed to <vtex,vtexhtml>
        * If no driver is given, VTeX in PDF mode is now detected.

1999-11-08  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.67c
        * hog.{eps,pdf} added for test0.tex
        * Bug in \Acrobatmenu of hvtex.def fixed.

1999-11-04  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.67b
        * New feature: With option `pdfpagelabels' the
          /PageLabels entry in the /Catalog object of PDF 1.3
          is supported.
          With `pdftex' and `vtex' one TeX run suffices,
          other pdf driver, that work via \special, need
          two TeX runs.
        * Option `4' removed, because it is not used.

1999-10-23  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.67a
        * \Hy@boolkey with optional argument for option name, if it
          is different.
        * hpdftex.def: \pdfrefform\OBJ@acroform, ... added.

1999-10-18  Heiko Oberdiek <oberdiek@uni-freiburg.de>
	* 6.67 public release on CTAN

1999-10-14  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.66m
        * makefile fixes.

1999-10-13  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.66l
        * dvipdfm driver updated by Sebastian Rahtz.
        * LPPL 1.1, manifest.txt added.
        * \hyperlinkfileprefix for Ross Moore.
        * Option baseurl disabled after first use.
        * Option debug = verbose.
        * Used global options are removed from the unused option list.
        * \pdfstringdef: \leavevmode disabled,
          \guill@spacing (frenchb.ldf) properly defined.
        * Directory structure: test/ and doc/
        * Slides and paper of Heiko's talk at EuroTeX'99 added in doc/.

1999-10-07  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.66k
        * hyperref.ins: eight times faster by \generate (docstrip 2.4)
          (Suggestion by Werner Lemberg <wl@gnu.org>).
        * backref.dtx 1.19:
          * \backcite ignores entries that are already present.
          * Some cosmetic clean up.
        * nameref.dtx 2.17: Some cosmetic clean up.
        * \Hy@boolkey with error checking.
        * Code for options backref and pagebackref rewritten.
        * Options are disabled after use.

1999-10-05  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.66j
        * foiltex: \ext@table, \ext@figure defined.

1999-10-05  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.66i
        * \pdfstringdef: support of shorthands of some babel
          languages added.
        * \ij, \IJ added in PD1 and PU encoding for Dutch.

1999-10-05  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.66h
        * Making destination for \addcontentsline in
          \@chapter, if \c@secnumdepth<0, \frontmatter, or \backmatter.
        * `(' and `)' added to \Hy@{Set,Restore}Catcodes.

1999-10-01  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.66g
        * \index{test|(} supported.

1999-09-28  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.66f
        * options.tex with bookmarkstype
        * Bug in \autoref fixed: chapter/appendix detection
        * \\ and \newline produces a warning in \pdfstringdef
        * draft=false should work.

1999-09-14  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.66e
        * Unwanted space in \HyPsd@LetUnexpandableSpace removed.

1999-09-13  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.66d
        * \@footnotemark is also disabled, if package
          tabularx is loaded.

1999-09-10  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.66c
        * Bug fix: Definition of \Hy@SaveLastSkip is moved before \MaybeStopEarly.

1999-09-10  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.66b
        * Starting with option warnings, if the option is
          set at a wrong place.
        * Support for package multind.
        * \textnumero added to testbmu.tex.

1999-09-08  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.66a
        * Catcodes are set at begin of package and restored at the end.
          (Bug fix: ltxdoc.cls makes '|' active...)

1999-09-08  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>

	* Release 6.66

1999-09-01  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.65e
        * Test for \XR@addURL instead of the package name, because
          they exist different versions of xr and xr-hyper.

1999-08-31  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.65d
        * Bug fixed (use of \renewcommand in \pdfstringdefDisableCommands)
        * Weak support for \ref and \pageref in bookmarks added.
        * Made bookmark code less slow (testbmu.tex compiles 20% faster):
          \HyPsd@ConvertToUnicode rewritten, \HyPsd@string introduced, ...
        * Bug detected by Ian Bruce: hyperref has a different spacing
          with theorem environments.
          Cause: The \lastskip value is destroyd by the specials that
          set the anchor.
          Fix: Saving the \lastskip value before the specials, and after
          setting \nobreak\{h,v}skip-\lastskip\{h,v}skip\lastskip.
          See \Hy@SaveLastskip - \Hy@RestoreLastskip.
          (most drivers: \hyper@anchor, \hyper@anchorstart - \hyper@anchorend;
          pdftex: \new@pdflink; dvipdfm: \@pdfm@dest)
        * \CYRCHDSC and \cyrchdsc corrected to \CYRCHRDSC and \cyrchrdsc
          (Thanks to Vladimir Volovich <vvv@vvv.vsu.ru>)
        * Bug fixed: \HAR@checkcitations redefined to add \hyper@@link.
          Without this the "Changed labels" warning would always appear.

1999-08-24  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.65c
        * Unicode bookmark support 0x0000..0x04FF.
        * testbmu.tex: detailed test file for Unicode bookmarks.
        * Default setting of \@pdfborder with \providecommand,
          so package option `pdfborder' does work now.
        * \hv@pdf@char: support of octal codes with VTeX
          versions greater or equal 6.50.
        * Typo in option 'vtex' corrected.
        * Again backref 1.18.
        * Various drivers (dviwindo, hypertex, ...): \leavevmode in
          \hyper@linkurl, \hyper@linkfile, ... added where missing.
        * testform2.tex renamed to testfor2.tex (8+3 file name).

1999-08-17  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.65b
        * Unicode bookmark support, starting with Cyrillic.

1999-08-14  Heiko Oberdiek <oberdiek@uni-freiburg.de>
        * 6.65a
        * Module pdfstringdef: bug (\space) and typo fixed.

1999-08-12  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>
        * RELEASE 6.65

1999-08-10  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>
        * 6.64h
	* Moved some sections to before \MaybeStopEarly. Otherwise
 	 implicit=false mode never saw some important stuff.
	* hyperref.dtx: added \href to list of ignored commands in
	bookmarks. cleaned up VTEX stuff as per diagnosis by Heiko

1999-08-06  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>
         * 6.64g
	 * hyperref.dtx: typos and little fixes from Heiko
	 * added another special thing for typexml

1999-07-29  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>

	* version 6.64c. hyperref.dtx: some typos corrected, and form
	primitives of pdftex

1999-07-28  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>

        *  cut out any footnote work if tabularx is
	loaded. add some form stuff from D P Story

1999-07-28  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>
        * version 6.64b
	* hyperref.dtx:
	Changes from Heiko:
        Module pdfstringdef:
        * Small bug in \HyPsd@ProtectSpaces/HyPsd@RemoveMask fixed.
        * \@ifnextchar because of \futurelet disabled.
        * Disabling of \@ifstar removed, because it calls \@ifnextchar.
        * \@protected@testopt disabled to show the problematic macro in
          the warning message (commands with an optional argument).
        * \pdfstringdefWarn#1 prints a warning message with token #1,
          it can be used in code that disables macros by the user.
        * \pdfstringdefDisableCommands#1 is a easier interface for
          the hook \pdfstringdefPreHook. It appends its argument to the
          meaning of \pdfstringdefPreHook. The character @ can be used
          in command names.
        * \penalty is removed silently.
        * \kern and \hskip are detected with a warning:
          * At the beginning or, if the value is less than 1ex,
            they are removed.
          * Else they are replaced by a space.

        Fix for \pdfpage(s)attr:
        * Setting the /CropBox with \pdfpagesattr:
          The old meaning of \pdfpagesattr is appended.
        * Initial value of \@pdfpagestransition is \relax
          to differentiate between a unused or empty option.
        * \hyper@pagetransition (hpdftex):
          * The old entry /Trans is removed from \pdfpageattr.
          * The remaining old meaning retains and
          * the new /Trans is appended.
        * \hyper@pagetransition (pdfmark):
          * \if-switch for \relax added to get the old behaviour.
          ? (1) Need to delete an old entry?
          ? If 1=yes, how to delete?

1999-07-21  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>
        *version 6.64a, corrected typos in VTEX stuff

1999-07-19  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>
        * RELEASE 6.64
	* hyperref.dtx: support pdftex > 0.14 with new primitive names
	* hyperref.dtx: bookmark patches from Stephan Haller, to allow
	local changes of open status
	* hyperref.dtx: small patche for \seteqlabel. obscure problem in
	amstex compatibility mode, found by Michael Downes.
	* hyperref.dtx: patches to VTEX bookmark processing, from Taco
	Hoekwater, following patches by Denis Girou.

1999-07-08  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>

        * RELEASE 6.63
	* hyperref.dtx: added "typexml" option for typexml package
	 Some cleanups from Heiko

1999-06-29  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>
        * RELEASE 6.62
	* hyperref.dtx: (from Heiko), gobble \discretionary in bookmarks

1999-06-27  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>
        * RELEASE 6.61
	* hyperref.dtx: for Babel compatibility, use its  \@safe@actives
	switch in cross-refs (also in nameref.dtx), plus be nicer about
	* in \pdfstringdef (from Heiko). Move \phantomsection to main package.

1999-06-11  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>
        * RELEASE 6.60
	* nameref.dtx: changed \Sectionformat to a \providecommand, as it
	now comes \AtBeginDocument

1999-06-10  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>
	* hyperref.dtx: * Increment of version letter to 6.58f
	* hyperref.dtx: add \phantomsection, to make a section-like anchor
          Missing {} after \@ifpackageloaded{subfigure}
	* nameref.dtx define \section@level for pdfscreen
	From Heiko:
	* lastpage fix (added page anchor name, ...).
	* documentation for lastpage support added.
	* \pdfstringdef: \Generic{Error,Warn,Info} disabled while
	  expanding.
        * \pdfstringdef: french fix changed to get rid of hard coded
	  numbers for the guillemets.

1999-06-09  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>

	* hyperref.dtx: * Increment of version letter to 6.58b
	Loads of cleanups by Heiko:
	 * \def\@pdfpagecrop{} removed, because it isn't used further
	 * Loading of \Hy@driver part replaced (see previous email)
	 * Old name \Hy@PDFDef found, replaced by \pdfstringdef
	 * Module \pdfstringdef: Use of prefix "\HyPsd@" (it's shorter
	  and easier to read than "\Hy@psd@".
	 * \let\add@accent\HyPsd@add@accent instead of the definition
	   in \pdfstringdef (saving run time).
	 * Corrected to \begin{macro}{\HyPsd@ITALCORR}.
	 * old ifbookmark replaced by texorpdfstring in description.
	 * Missing lines added in pd1enc.def (\",\r,\v,\.,\c)
         * Bugs in  \define@key{Field}{maxlen}{\Fld@maxlen=#1}
                and  \define@key{Field}{menulength}{%
	 * Changed \orig@appendix to \Hy@orig@appendix.
             \orig@maketitle to \Hy@orig@maketitle.
	 * Replaced \global\def --> \gdef
	 * Replaced \global\edef --> \xdef
	 * Starting with identing (length 2) and checking the line length.

1999-06-08  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>

	* hyperref.dtx. make "subfigure" force hypertexnames=false; remove
	exactdef option (obsolete), and set default of 0 for bookmark
	level of unknown objects (\toclevel@...)

	* a lot of cleaning up of code layout, requested by Heiko, and bug
	fixing related to \addcontentsline

1999-05-30  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>

	* backref.dtx: added debugging/verbose  output
	* hyperref.dtx: considerable reworking of \addcontentsline, with
	wide-reaching effects
	* Some more PD1 fixes from Heiko. Stop using \@foo, too common a
	choice by others
	* Some fixes for TeX4ht, from Eitan Gurari

1999-05-19  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>
        * RELEASE 6.57
	* hyperref.dtx: a good many missing or extra spaces in and around
	line endings were found by Heiko and corrected.

1999-05-18  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>
	* hyperref.dtx: fixes to \textLF etc from Heiko

1999-05-17  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>

	* hyperref.dtx: Raise equation anchors by \baselineskip;
   	  dangerous, but its the only hope for XYZ views
	*  Some fixes for tex4ht from Eitan Gurari
	*  stop defaulting papersize \special
	*  make bookmarks use tocdepth not secnumdepth
	*  Some fixes for AMS equations, will probably break something!
	*  some characters changed, and some added, in PD1
	encoding, to allow for silly behaviour of Acrobat, and to help
	Poles (via Wojciech A. Myszka <W.Myszka@immt.pwr.wroc.pl>)

	* backref.dtx: added support for chicago.sty (requested by Alan Reese)

1999-05-14  Sebastian Rahtz  <sebastian.rahtz@oucs.ox.ac.uk>

	* hyperref.dtx: added new option hypertexnames. if it is *false*,
	unique arbitrary names are given for anchors and links, to avoid
	any conflict caused by counters being redefined etc. Long overdue.

	Guillemet fix from Heiko.

1999-04-13  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.56
	* hyperref.dtx: missed a \if@filesw (Heiko spotted), and removed
	the <repere> section

1999-04-12  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.55
	* hyperref.dtx: when the run: type of URL is used, a \relax creeps
	into the output with pdfmark drivers. corrected.

	Add some missing \if@filesw code (from Heiko)

	Proper dummy initialisation of \pdfbookmark

	Correct serious error over detecting whether seminar is being used
	(added new test, and defined \ifhy@seminarslides)

	If implicit=false is used, ensure that \PDF@FinishDoc (to add
	DOCINFO stuff) is still done, \AtBeginDocument (it was tied to the
	redefinition of \@thehead)

1999-03-31  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.54
	* hyperref.dtx: fixes from Heiko in pdf doc encoding stuff

1999-03-30  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.53
	* hyperref.dtx: complete replacement of Heiko's part by nicely
	documented dtx....

	Name changes:
	\newif\ifPDFbookmark ==> \newif\ifHy@pdfstring (internal name)
	\ifbookmark          ==> \texorpdfstring (user command)
	\Hy@PDFDef           ==> \pdfstringdef (user or package command)

	Heiko summarizes the features of this \Hy@PDFDef:
	* PD1 encoding
	* Unknown glyphs don't cause an infinite error loop now (see
	  bug report few weeks ago in pdftex@tug.org).
	* Grouping characters can be used, they are removed silently,
	  so things like "\TeX{}" can be written.
	* With this version of \Hy@PDFDef the option exactdef can be
	  removed now because of the warning messages.
	* All non-expandible commands like unknown glyphs or stomach
	  commands are catched by this version: a comprehensive
	  warning message is produced and the tokens are removed.
	* xspace support.
	* Support for unbalanced parentheses, hyparen.sty is now obsolete.


1999-03-26  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.52

	* hyperref.dtx: Wherever "naturalnames" is used, disable
	\textlatin (from Babel 3.6k). Thanks to Felix Neubauer
	<Felix.Neubauer@gmx.net>

	* Fixes for seminar (Denis Girou <denis.girou@idris.fr>)

1999-03-12  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.51 (unreleased)
	* hyperref.dtx: yet more bookmark magic from Heiko Oberdiek!

1999-02-21  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: trap a URL type of "run:" and attempt to use it to
	launch an application. In dvips, dvipdfm and pdftex drivers; it
	seems to work in Windows. By default it translates to file:

1999-02-17  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	Changed the copyright notice

	* hyperref.dtx: some (more) corrections from Heiko

1999-02-16  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.50
	* hyperref.dtx: some corrections from Heiko

1999-02-14  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.49
	* hyperref.dtx: remove grouping around PDF@SetupDoc, allowing
	 \pdfpagesttr in pdftex to work properly (ie CropBox)
	 move PD@FinishDoc to happen at start of dvi (in page header);
	 this allows for documents ending in \clearpage in which case the
	 stuff never happened. sigh.

1999-02-06  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.48
	* hyperref.dtx: add option "naturalnames", which makes hyperref use
 	 eg \thesection instead of \theHsection. may help some people.
	Add option "verbose" to provide a debugging hook.
	Set some more commands to no-op in bookmarks.
	remove all pdfinfo from PDF@SetupDoc, and transfer to new
	PDF@FinishDoc, which happens \AtEndDocument. This allows
	\maketitle to do \hypersetup{pdftitle=\@title} etc

	Rearranged some lines of code.

1999-02-01  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.47
	* hyperref.dtx: removed code from dvipdfm by mistake. restored.

1999-01-27  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.46
	* hyperref.dtx: add support for colorlinks to dvipdfm driver
	(missed out by mistake before), and \AcrobatMenu

1999-01-20  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx:  changed \texttilde to \textasciitilde; removed
	\textbeta

1998-12-17  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.45
	* hyperref.dtx: make \footnotemark and \footnotetext use original
	non-hyper definitions. from pzezza@facec.cce.unifi.it.

1998-12-07  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.44
	* hyperref.dtx: corrected bookmark writing errors. again...
	removed some spurious \makeat s. removed a spurious { in tex4ht

1998-12-01  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

        * RELEASE 6.43
	* hyperref.dtx: fixes for \addcontentsline from
	 kevin@rodin.wustl.edu (Kevin Ruland)
	- make \EndOfPackage things happen \AtBeginDocument instead, for
	consistency
	- fixes to hy@temp from Heiko
	- added optional first parameter to \BOOKMARK in order to provide
	dvipdfm with what it wants

1998-11-27  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* hyperref.dtx: added dvipdfm driver from
	Mark Wicks <mwicks@kettering.edu>.
	cleaned up more bookmark code (from Heiko)

1998-11-11  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.42
	* hyperref.dtx: replaced bookmark and docinfo writing with new code
	from Heiko Oberdiek which seems to do a better job

	Support for lastpage package.

Tue Nov  3 21:06:33 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.41
	* hyperref.dtx:  cleaned up test for existence of pdftex again, to
	avoid trampling on other packages. Thomas Esser and David Carlisle
	pointed out the mess.

Sun Nov  1 18:53:20 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

        * RELEASE 6.40
	* hyperref.dtx:  checked various drivers, and had to introduce mew
	docstrip guards to add some pdfmark to dviwindo. dvipdf broken, so
	removed from hyperref.ins. Thanks to Thomas Esser for testing so
	quickly.

Fri Oct 30 14:13:39 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.39
	* hyperref.dtx: serious error in where colorlinks and frenchlinks
	were checked. now all at EndOfPackage, after driver load.

Fri Oct 23 16:30:32 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * RELEASE 6.38
	* hyperref.dtx:  rework handling of driver options so that driver
	is only loaded at the end, with whatever is the latest name given
	in config file, document etc. (Thanks to Thomas Esser for suggestion)

Sat Oct 17 23:29:26 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

        * RELEASE 6.37
	* hyperref.dtx: back out change of link to use Action dictionary,
	it seems to break some Distiller setups, and Ghostscript

Tue Oct 06 10:52:32 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: make all eqnarray stop being an anchor, as it may
	break over pages.
	Whoops. PDF@SetupDoc was after \MayBeStopEarly...

Thu Sep 24 11:27:41 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* RELEASE 6.36
	* hyperref.dtx: even if bookmark writing disable, \pdfbookmark still
	needs to make anchors

Tue Sep 22 11:04:49 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: xdef not edef in \@writetorep (thanks to Christian
	Kumpf <kumpf@igd.fhg.de>)

Sat Sep 12 21:09:55 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: added option pdfnumberbookmarks to include section
	numbers in PDF bookmarks

Mon Sep 07 12:58:58 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* RELEASE 6.35
	* hyperref.dtx: added DOCVIEW stuff to dviwindo driver
	  better check for playing in head, means no more overfull hbox
	  messages

Fri Sep 04 23:38:00 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: added DOCVIEW stuff to dvipsone driver (pointed
	out by D P Story)

Thu Sep 03 21:16:47 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx:
	    a) added new option linktocpage to make TOC have links on page
	    numbers
	    b) rewrote or checked all uses of \colorlink, so that they
	    have a corresponding \hy@endcolorlink (was \hyper@resetcolor),
	    and so are in a \begingroup ... \endgroup group (requested by
	    Patrick Daly, for consistency if nothing else). Renamed
	    \colorlink to \hy@colorlink

Wed Sep 02 13:31:05 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* RELEASE 6.34
	* hyperref.dtx: chivvied around pdfview so that it worked, and did
	not override hyperref.cfg. concept of \@pdfviewparam for size
	parameters

Tue Aug 11 15:55:47 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* RELEASE 6.33
	* hyperref.dtx: fix up some forms problems for Laurent Guillope

Sat Aug 08 15:01:14 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: add option `implicit' to allow (with value of
	false) for no redefinition of LaTeX internals. Re-ordered some
	code sections to allow for this.

Sun Aug 02 12:10:08 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: corrected some typos and mistakes in form support

Mon Jul 20 01:22:51 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: change check of empty head (from test by Denis
	Roegel)

Mon Jul 06 15:09:08 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* RELEASE 6.32
	* backref.dtx: better test for natbib-like styles
	* hyperref.dtx: add natbib link break macro
	   dvipsone: use same pdfsetup as dviwindo

Sat Jun 27 10:09:36 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* RELEASE 6.31
	* hyperref.dtx: correct order of part and writetorep
	* hyperref.dtx: more fixes from MicroPress for their driver. zero
	width hidden fields -> width of 1sp. Piet van Oostrum's additions
	to bookmark writing code.
	* add support for "pdfstartview={}", to get `default'
	magnification. hyper@linkfile for pdftex always does a user action
	now
	* Patrick Daly's addition of \ifvmode\nobreak\fi in pdftex start
	anchor fixes his section problems, but is not entirely general.

Thu Jun 25 14:24:23 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * hyperref.dtx: fix NoHyper bug *properly* this time.

Thu Jun 25 14:24:23 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* RELEASE 6.30
	* hyperref.dtx: zero width hidden fields. support pdfstartview of
	{}. allow NewWindow false with pdfnewwindow option. correct bug in
	default value of centerwindow and fitwindow. fix bug in NoHyper.
	fix bug in \pageref*.

	Add \autoref macro to generate tagged references.

Wed Jun 24 13:40:29 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* RELEASE 6.29
	* hyperref.dtx: add \ref* and \pageref* to produce unlinked
	references, and fix bug in label@hyperref.
	add page transitions for pdftex driver

Tue Jun 23 12:49:35 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: add support for page transitions in pdfmark driver
	* hyperref.dtx: add key pdfpagelayout
        * hyperref.dtx: revise form lists, now support Display=Value syntax
	* hyperref.dtx: change test for whether natbib-like code is
	present (if NAT@parse is defined), since things like aguplus dont
	load natbib per se, but use the same code.


Sun Jun 21 22:08:47 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* hyperref.dtx: if form list value starts with a [, its assumed to
	be an array of two strings, display and use values.
	* hyperref.dtx: add `readonly' key for pdf forms, and hidden for
	HTML
	* hyperref.dtx: restructure form drivers to isolate common code
	for pdftex and pdfmark.

Sat Jun 20 21:41:30 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: add `hidden' key for forms

Fri Jun 19 10:04:44 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
        * hyperref.dtx: use pdftex version and revision numbers

	* RELEASE 6.28
	* hyperref.dtx: corrected stupid error which meant that the
	bookmark file was not being opened.

Tue Jun 16 00:05:31 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* RELEASE 6.27
	* hyperref.dtx: finished pdftex forms, and reworked several
	aspects of forms in general.

Mon Jun 15 14:37:33 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: use \filename@parse to decide whether a file: URL
	is a local open or a URL. makes ../../xxx work.

	 VTEX drivers driven by single `vtex' option which checks
	 \OpMode

Sat Jun 13 16:59:03 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* hyperref.dtx: merge in material from MicroPress to provide support
	for VTEX's two new modes of operation, PDF and HTML. Drivers hvtex
	and hvtexhtml.

Fri Jun 12 01:12:05 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* (private) RELEASE 6.26
	addition from DPC to provide better support for encoding in
	.out files (must use inputenc)
	* (private) RELEASE 6.25
	* hyperref.dtx:
	 removed quotes from names in dviwindo (DP Story)
	 comma after file destination in dviwindo (DP Story)
	 rejig parsing of file: to cope with ../foo/bar, at the
	 cost of files having to be at least two characters long. ../..
	 doesn't work either :-}

Fri Jun 05 12:35:11 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* (private) RELEASE 6.24
	* hyperref.dtx: unset \@tempa at start of ProcessKVOptions (David
	Carlisle)
	* hyperref.dtx: pdftex base url syntax wrong; and if baseurl
	   provided, need to strip file: from URL (corrections by
	   daly@linpwd.mpae.gwdg.de (P.W.Daly, MPAe, Lindau, Germany)

Wed May 27 21:41:12 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* (private) RELEASE 6.23
	* hyperref.dtx: remove spurious space in pdfview in pdftex driver

Sat May 16 22:02:34 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* (private) RELEASE 6.22
	* hyperref.dtx: in draft mode, need fifth and secondoffive to be
	really secondoffive

Fri May 08 11:21:45 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* (private) RELEASE 6.21
	* hyperref.dtx: added new key "pdfhighlight" to set Acrobat
	behaviour when a link is pressed. Make destinations use the Action
	dictionary. Added first cut at forms support.

Wed Mar 25 14:22:46 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* (private) RELEASE 6.20
	* RELEASE 6.19
        * pdftex seems to have changed, added goto page for openaction
	* hyperref.dtx: put / in front of pdfstartview
	  still changing textures driver

Sun Mar 22 21:01:07 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* RELEASE 6.18

Sat Mar 21 14:13:23 1998  Sebastian Rahtz  <srahtz@ogre>
	* hyperref.dtx: add conditional code for fancyvrb, to stop
 	  links being made to fancyvrb lines.
	* experimental textures driver
	* pdftex as 0.12 the default; use guard pdftexold to select 0.11
	behaviour

Sat Mar 07 22:40:06 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* RELEASE 6.17
	* hyperref.dtx: patches from Piotr Krysiuk
	<pkrysiuk@mimuw.edu.pl> to make it run under LaTeX 209
	compatibility mode

Thu Mar  5 23:55:14 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: put braces around URL in pdfmark driver, to stop
	keyval splitting at an = sign within the URL (bug report from Ahmed
	Hindawi <hindawi@ephouse.com>)

Tue Mar 03 23:24:34 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: add first cut at tex4ht driver
	* hyperref.dtx: changes for pdftex 0.12 driver (syntax changes)

Sat Feb 28 12:41:02 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* (private) RELEASE 6.16
	* hyperref.dtx: AMSLaTeX does everything twice; pdftex actually
	*executes* the hyper code twice, so that destinations are defined
	twice. Make use of \ifmeasuring@ to avoid this.

Wed Feb 25 13:31:36 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* RELEASE 6.15
	* Sigh. Messed up counters again. Fixed. It had better be right
	this time.
	* RELEASE 6.14
	* hyperref.dtx: added key bookmarksopen to dictate whether or not
	the bookmark tree is expanded (from Brian Ripley)
	* cleaned up the *horrible* mess created by me over items, which
	mean that I had turned off the incrementing....
	* typo in \pdfbookmark corrected

Mon Feb 23 22:37:12 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* RELEASE 6.13
 	* changes to \item had totally wrecked natbib :-}
	* added keys for PDF creator and producer
	* re-fix \@footnotemark in \maketitle
	* reverse parameters of \htmladdnormallink

Fri Feb 20 21:54:38 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* RELEASE 6.12
	* RELEASE 6.11
	* hyperref.dtx: play around with items again for Tanmoy. ugh, all
	sorts of changes to stop bibitems getting 3 destinations defined.

Mon Jan 26 22:37:48 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: define \@makefnmark instead of \@footnotemark, to
	take advantage of white space and hyphenation fudges (from DPC)
	* backref.dtx: remove white space in for loop of \backcite

Thu Jan 22 13:50:35 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* RELEASE 6.10
	* more dealing with \url, allowing for _

Wed Jan 21 12:04:41 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

        * release 6.9
	* fixed some small bugs (though more remain) and added
        \Acrobatmenu command.

Thu Dec 11 21:12:09 1997  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: altered algorithm of tocdepth for pdf bookmarks;
	rewrote nesting again. still concerned about global allocation
	of `current' tokens, and lack of nesting in PS file.

Tue Dec 09 13:40:28 1997  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* hyperref.dtx: rewrote handling of (non) nesting. the innards of
	an anchor are now processing inside {\stop@hyper...} which
	hopefully makes all hyper commands no-ops. ripley@stats.ox.ac.uk
	(Prof Brian Ripley) found several things which forced me to do
	*something* (ie a \cite inside a \caption gave the destination of
	the cite to the caption)

	Daniel T. Cobra <cobra@gyron.acate.com.br> gave me a new
	incompatibility with ps2pdf

Mon Nov 24 14:59:40 1997  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>
	* RELEASE 6.7
	* started hyperref ChangeLog. cleanup of copyright for Debian inclusion
